#!/bin/sh
## Test comparing branch between svn and git repo

# Results should be independent of what file stem this is, as
# long as it's an svn dump and has the right feature to be named by cmploc.
stem=debranch
cmploc=resources
cmpmode=-b

# No user-serviceable parts below this line

command -v svn >/dev/null 2>&1 || { echo "    Skipped, svn missing."; exit 0; }
command -v git >/dev/null 2>&1 || { echo "    Skipped, git missing."; exit 0; }

trap 'rm -rf /tmp/test-svn-git-repo$$-svn /tmp/test-svn-git-repo$$-svn-checkout /tmp/test-svn-git-repo$$-git /tmp/out$$' EXIT HUP INT QUIT TERM

./svn-to-svn -q -c /tmp/test-svn-git-repo$$-svn <${stem}.svn
reposurgeon "read <${stem}.svn" "prefer git" "rebuild /tmp/test-svn-git-repo$$-git" >/tmp/out$$ 2>&1
${REPOTOOL:-repotool} compare ${cmpmode} ${cmploc} /tmp/test-svn-git-repo$$-svn-checkout /tmp/test-svn-git-repo$$-git | sed -e "s/$$/\$\$/"g >>/tmp/out$$ 2>&1


case $1 in
    --regress)
        diff --text -u repotool-compare-branch-svn-git.chk /tmp/out$$ || ( echo "$0: FAILED"; exit 1 ); ;;
    --rebuild)
	cat /tmp/out$$ >repotool-compare-branch-svn-git.chk;;
    --view)
	cat /tmp/out$$;;
esac
	      
